List Clarity Process Members
curl --request GET \
--url https://api.duvo.ai/v2/clarity/processes/{id}/members \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.duvo.ai/v2/clarity/processes/{id}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.duvo.ai/v2/clarity/processes/{id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"visibility": "team",
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com",
"role": "<string>"
},
"members": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com"
},
"role": "<string>",
"createdAt": "<string>"
}
],
"pending": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"createdAt": "<string>"
}
],
"contributors": [
{
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com"
},
"role": "<string>"
}
],
"contributorsNextCursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Clarity
List Clarity Process Members
List users with accepted access to a clarity process, the people invited who have not accepted yet, and anyone else who has recorded a capture on it
GET
/
v2
/
clarity
/
processes
/
{id}
/
members
List Clarity Process Members
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
Clarity process ID.
Query Parameters
Cursor from contributorsNextCursor; returns the next page of contributors.
Response
Default Response
Available options:
team, restricted Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
One page of contributors, ordered by user ID.
Show child attributes
Show child attributes
Pass as contributorsAfter to fetch the next page; null on the last page.
Was this page helpful?